Subject: Re: Problems with shell script (bash)
From: [email-masked] (Mikey)

2 Sep 1997 02:06:20 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked] (Yung Hsien), [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: Forte Agent 1.01/32.397
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

To see what's going on in a bash script do

set -xv

../scriptname

set +xv

On Thu, 28 Aug 1997 12:23:50 -0700, you wrote:

>Hello,
>
>I'm having a problem with bash, tr, or echo... I'm not sure who the culprit
>is here. In any case, here's a short script:
>
>>#!/bin/sh
>>
>>OPTIONS="A B C"
>>
>>FOUND="FALSE"
>>FIND=`echo a | tr '[a-z]' '[A-Z]'`
>>
>>echo $FIND
>>
>>for opt in $OPTIONS ; do
>>  if [ $opt = $FIND ] ; then
>>    FOUND="TRUE"
>>  fi
>>done
>>
>>echo $FOUND
>>
>
>What it should echo at the end is TRUE since 'A' is in "A B C".
>But it echos FALSE. Note, that this works on my UNIX box. Also, if I say
>FIND=`echo A | tr '[a-z'] '[A-Z]'` that fails also.
>
>Thanks,
>Yung Hsien
>[email-masked]
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".